![solano](https://ci.solanolabs.com:443/Hired/feathr/badges/branches/master?badge_token=7f681a0a4b3a10ec622b501e8de35ec60837531d)

# Feathr

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/feathr`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'feathr'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install feathr

## Usage

```
Feathr.configure do |config|
  config.api_email = 'email@email.com'
  config.api_password = 'password'
end

$client = Feathr::Client.new

manager = $client.managers.find(id)

platforms = manager.platforms.all

platform = manager.platforms.find(id)

platform.contractors.all

contractor = platform.contractors.create({ email: 'email@email.com' })

platform.memberships.all

platform.memberships.create({ user: user_url })

etc
```

TODO:

NOT PRODUCTION READY outside

- csv_upload - POST - platforms/{ pk }/csv-upload/user/
- csv_upload - POST - platforms/{ pk }/csv-upload/income/
- paypal_service batch - POST /paypal_service/callback/batch/
- paypal_service income - POST /paypal_service/callback/payout_item/
- platform membership request accept - POST /platforms/{ pk }/membership_requests/accept/
- platform membership request accept - GET/POST /platforms/{ pk }/membership_requests/accept/
- platform membership request deny - GET/POST /platforms/{ pk }/membership_requests/deny/
- platform income request deny - GET/POST /platforms/{ pk }/income_requests/cancel/
- user "me" update - PUT/PATCH /users/me
- platform membership requests - GET /users/{ pk }/platform_membership_requests/
- platform membership requests create - POST /users/{ pk }/platform_membership_requests/
- platform membership requests find - GET /users/{ pk }/platform_membership_requests/{ pk }/
- platform membership requests cancel - POST/GET /users/{ pk }/platform_membership_requests/{ pk }/cancel/
- administered platforms - POST /users/{ pk }/administered_platforms/
- tax savings - GET /users/{ pk }/tax_savings/
- tax savings update - UPDATE /users/{ pk }/tax_savings/
- cashout available - GET /users/{ pk }/cashout_available/
- cashout available - POST /users/{ pk }/cashout_available/
- user integrations

- Refactor Update & destroy to only be available on object itself ??
- Scope nested routes to certain actions ??
- add code coverage and cc github integrations
- fix issue with nested routes and find actions (nested find vs non-nested find)
- use urls instead of ids ??
- missing a few tests
- remove unnecessary intermediate queries
- raise errors instead of returning them?
- separate objects and endpoints
- authentciated user cacheing?

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/bradherman/feathr. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

