# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'feathr/version'

Gem::Specification.new do |spec|
  spec.name          = "feathr"
  spec.version       = Feathr::VERSION
  spec.authors       = ["Brad Herman"]
  spec.email         = ["brad@hired.com"]

  spec.summary       = %q{ Rails API for interacting with Qwil API.}
  spec.description   = %q{ Rails API for interacting with Qwil API.}
  spec.homepage      = "https://github.com/hired/feathr"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'httparty'

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "awesome_print"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
